Subject: bug#55595: 29.0.50; Compilation warnings on macOS

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jun 2022 09:06:27 +0300

> From: Rudolf Adamkovič <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 03 Jun 2022 21:37:40 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I guess this means you did not regenerate the configure script?  Or
> > maybe the compiler doesn't identify itself as clang, so the changes I
> > did don't have effect?
> 
> I retried with ...
> 
> ./autogen.sh \
>   && ./configure --with-json --with-native-compilation \
>   && make \
>   && make install
> 
> ... and I still get the same 4 errors and 4 warnings.

I'm sorry, I'm flying blind here, as I have no access to this
compiler.  I've now tried a more radical solution, please see if the
latest master branch solves this.